///////////////////////////////////////////////////////////////////////////////
// This file is part of the chustd library
// Copyright (C) 2005/2013 ChuTeam
// For conditions of distribution and use, see copyright notice in chustd.h
///////////////////////////////////////////////////////////////////////////////

#ifndef CHUSTD_DNS_H
#define CHUSTD_DNS_H

#include "String.h"
#include "Array.h"

namespace chustd {

class Dns  
{
public:
	struct HostEntry
	{
		String m_strName;
		StringArray m_astrAliases;
		UInt32Array m_aIpAddresses;
	};
	
	static bool GetHostByName(const chustd::String& strName, HostEntry& he);
};

}

#endif // ndef CHUSTD_DNS_H
