///////////////////////////////////////////////////////////////////////////////
// This file is part of the chustd library
// Copyright (C) 2005/2013 ChuTeam
// For conditions of distribution and use, see copyright notice in chustd.h
///////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Array.h"

using namespace chustd;

ByteArrayBox::ByteArrayBox(uint8* pExternalBuffer, int size)
{
	m_paTs = pExternalBuffer;
	m_count = size;
	m_nRbvAndAllocated = size;
}

ByteArrayBox::~ByteArrayBox()
{

}

const ByteArray& ByteArrayBox::ToByteArray() const
{
	return (const ByteArray&) *this;
}

void ByteArrayBox::Set(uint8* pExternalBuffer, int size)
{
	m_paTs = pExternalBuffer;
	m_count = size;
	m_nRbvAndAllocated = size;
}