///////////////////////////////////////////////////////////////////////////////
// This file is part of the chustd library
// Copyright (C) 2005/2013 ChuTeam
// For conditions of distribution and use, see copyright notice in chustd.h
///////////////////////////////////////////////////////////////////////////////

#ifndef CHUSTD_DIRECTORY_H
#define CHUSTD_DIRECTORY_H

namespace chustd {

class String;
class StringArray;

class Directory
{
public:
	static StringArray GetFileNames(const String& strDir, const String& strJoker, bool fullPaths = false);
	
	static bool Create(const String& strDir);
	static bool Exists(const String& strDir);
	static bool Delete(const String& strDir);

	Directory();
	virtual ~Directory();
};

} // namespace chustd

#endif // ndef CHUSTD_DIRECTORY_H
